Package: org.codehaus.groovy.antlr

## [Java] Class UnicodeLexerSharedInputState

- org.codehaus.groovy.antlr.UnicodeLexerSharedInputState

- GRECLIPSE-805 Support for unicode escape sequences

  Authors:
    Andrew Eisenberg

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class antlr.LexerSharedInputState` | `guessing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UnicodeLexerSharedInputState (UnicodeEscapingReader in)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getColumn()`
    `` | `int` | `getTokenStartColumn()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class antlr.LexerSharedInputState`

    `antlr.LexerSharedInputState#getLine(), antlr.LexerSharedInputState#getColumn(), antlr.LexerSharedInputState#getTokenStartColumn(), antlr.LexerSharedInputState#getTokenStartLine(), antlr.LexerSharedInputState#reset(), antlr.LexerSharedInputState#getFilename(), antlr.LexerSharedInputState#getInput(), antlr.LexerSharedInputState#equals(java.lang.Object), antlr.LexerSharedInputState#toString(), antlr.LexerSharedInputState#hashCode(), antlr.LexerSharedInputState#getClass(), antlr.LexerSharedInputState#notify(), antlr.LexerSharedInputState#notifyAll(), antlr.LexerSharedInputState#wait(long), antlr.LexerSharedInputState#wait(long, int), antlr.LexerSharedInputState#wait()`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public UnicodeLexerSharedInputState(UnicodeEscapingReader in)

  - ### Method Detail

    - #### @Override public int getColumn()

    - #### @Override public int getTokenStartColumn()